<template>
  <a
    v-if="passengerNumber"
    :href="`tel:${passengerNumber}`"
    class="button is-pulled-right phone-button"
  >
    <fa-icon icon="user" />
  </a>
</template>
<script>

export default {
  props: {
    step: { type: Object, default: () => ({}) },
  },
  computed: {
    passengerNumber() {
      if (this.step.ride) {
        return this.step.ride.phone;
      }
      return '';
    },
  },
};
</script>
<style lang="scss" scoped>
@import "~assets/css/head";
.phone-button {
  position: fixed;
  bottom: 7em;
  right: 1em;
  z-index: 3;
  background: $success;
  color: findColorInvert($primary);
  border-radius: 100%;
  padding: $size-small;
  font-size: $size-medium;
  box-sizing: border-box;
}
</style>
